[Gpg4win-commits] r852 - in trunk: . patches/gpgme

scm-commit@wald.intevation.org scm-commit at wald.intevation.org
Mon Jul 14 17:58:54 CEST 2008


Author: werner
Date: 2008-07-14 17:58:53 +0200 (Mon, 14 Jul 2008)
New Revision: 852

Added:
   trunk/patches/gpgme/02-kleo-bugs-workaround.patch
Modified:
   trunk/ChangeLog
   trunk/Makefile.am
   trunk/NEWS
   trunk/configure.ac
Log:
Get SVN in sync with releases 1.9.4-beta.
The culprit for this hic hac is the Deutsche Telekom AG which is not
able to to get all their databases in sync to provide a new DSL line
timely (Tomorrow they are 4 weeks overdue).  


Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog	2008-07-09 14:22:49 UTC (rev 851)
+++ trunk/ChangeLog	2008-07-14 15:58:53 UTC (rev 852)
@@ -1,5 +1,14 @@
+2008-07-14  Werner Koch  <wk at g10code.com>
+
+	* NEWS: Track released version (after the release of 1.9.4).
+
 2008-07-08  Marcus Brinkmann  <marcus at g10code.de>
 
+	* configure.ac: Bump version to 1.9.4.
+	* Makefile.am (EXTRA_DIST): Add
+	patches/gpgme/02-kleo-bugs-workaround.patch.
+	* patches/gpgme/02-kleo-bugs-workaround.patch: New file.
+
 	* src/inst-kleopatra.nsi, src/uninst-kleopatra.nsi: Update.
 	* packages/packages.current: Update kdelibs and kleopatra.
 	* configure.ac: Make kleopatra a GNUWIN32 package to catch the

Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am	2008-07-09 14:22:49 UTC (rev 851)
+++ trunk/Makefile.am	2008-07-14 15:58:53 UTC (rev 852)
@@ -41,6 +41,7 @@
 	patches/claws-mail-3.4.0/04-gnutls.patch \
 	patches/claws-mail-3.4.0/99-auto.patch \
 	patches/gpgme/01-gpg2.patch \
+	patches/gpgme/02-kleo-bugs-workaround.patch \
 	patches/libetpan-0.54/01-config.patch \
 	patches/libetpan-0.54/02-index.patch \
 	patches/winpt/01-gpg-path.patch \

Modified: trunk/NEWS
===================================================================
--- trunk/NEWS	2008-07-09 14:22:49 UTC (rev 851)
+++ trunk/NEWS	2008-07-14 15:58:53 UTC (rev 852)
@@ -3,7 +3,7 @@
 # The version number given below are for the standard installers as
 # distributed by www.gpg4win.org.
 
-Noteworthy changes in version 1.9.3
+Noteworthy changes in version 1.9.4 (2008-07-09)
 ------------------------------------------------
 
 (en) This is a BETA version of the new Gpg4win/2 architecture.
@@ -19,9 +19,9 @@
 
 
 ~~~~~~~~~~~~~~~
-GnuPG:        2.0.10-svn4773
-DirMngr:      1.0.2-svn299
-Kleopatra:    20080526-2
+GnuPG:        2.0.10-svn4797
+DirMngr:      1.0.2-svn302
+Kleopatra:    20080706
 GPA:          0.7.7-svn899
 GpgOL:        0.10.15-svn260
 GpgEX:        0.9.0
@@ -31,6 +31,8 @@
 Durchblicker: 2.0.2
 ~~~~~~~~~~~~~~~
 
+  (1.9.3 was not published)
+ 
 
 Noteworthy changes in version 1.9.2 (2008-05-28)
 ------------------------------------------------

Modified: trunk/configure.ac
===================================================================
--- trunk/configure.ac	2008-07-09 14:22:49 UTC (rev 851)
+++ trunk/configure.ac	2008-07-14 15:58:53 UTC (rev 852)
@@ -25,7 +25,7 @@
 # Set my_issvn to "yes" for non-released code.  Remember to run an
 # "svn up" and "autogen.sh" right before creating a distribution.
 # Right after a release the make target "copy-news" is to be called!
-m4_define([my_version], [1.9.3-beta])
+m4_define([my_version], [1.9.4-beta])
 m4_define([my_issvn], [svn])
 
 m4_define([svn_revision], m4_esyscmd([echo -n $( (svn info 2>/dev/null \

Added: trunk/patches/gpgme/02-kleo-bugs-workaround.patch
===================================================================
--- trunk/patches/gpgme/02-kleo-bugs-workaround.patch	2008-07-09 14:22:49 UTC (rev 851)
+++ trunk/patches/gpgme/02-kleo-bugs-workaround.patch	2008-07-14 15:58:53 UTC (rev 852)
@@ -0,0 +1,85 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+Work around bugs in kleopatra 20080706.
+
+diff -rup gpgme/keylist.c gpgme/keylist.c
+--- gpgme/keylist.c	2008-01-28 19:06:04.000000000 +0100
++++ gpgme/keylist.c	2008-07-08 21:16:39.000000000 +0200
+@@ -918,6 +918,14 @@ gpgme_op_keylist_end (gpgme_ctx_t ctx)
+   if (!ctx)
+     return gpg_error (GPG_ERR_INV_VALUE);
+ 
++  /* Work around missing gpgme_release in kleopatra, which creates
++     dangling gpgsm processes.  */
++  if (ctx->engine)
++    {
++      _gpgme_engine_release (ctx->engine);
++      ctx->engine = NULL;
++    }
++
+   return 0;
+ }
+ 
+diff -rup gpgme/w32-io.c gpgme/w32-io.c
+--- gpgme/w32-io.c	2008-06-26 15:03:27.000000000 +0200
++++ gpgme/w32-io.c	2008-07-08 18:20:12.000000000 +0200
+@@ -53,8 +53,8 @@
+ #define READBUF_SIZE 4096
+ #define WRITEBUF_SIZE 4096
+ #define PIPEBUF_SIZE  4096
+-#define MAX_READERS 20
+-#define MAX_WRITERS 20
++#define MAX_READERS 40
++#define MAX_WRITERS 40
+ 
+ static struct
+ {
+diff -rup gpgme/wait-global.c gpgme/wait-global.c
+--- gpgme/wait-global.c	2008-07-04 16:15:41.000000000 +0200
++++ gpgme/wait-global.c	2008-07-08 21:15:03.000000000 +0200
+@@ -386,5 +386,13 @@ gpgme_wait (gpgme_ctx_t ctx, gpgme_error
+     }
+   while (hang);
+ 
++  /* Work around missing gpgme_release in kleopatra, which creates
++     dangling gpgsm processes.  */
++  if (ctx && ctx->engine)
++    {
++      _gpgme_engine_release (ctx->engine);
++      ctx->engine = NULL;
++    }
++
+   return ctx;
+ }
+diff -rup gpgme/wait-private.c gpgme/wait-private.c
+--- gpgme/wait-private.c	2008-07-04 16:15:41.000000000 +0200
++++ gpgme/wait-private.c	2008-07-08 21:17:05.000000000 +0200
+@@ -31,6 +31,7 @@
+ #include "ops.h"
+ #include "priv-io.h"
+ #include "util.h"
++#include "debug.h"
+ 
+ 
+ /* The private event loops are used for all blocking operations, and
+@@ -149,5 +150,17 @@ _gpgme_wait_on_condition (gpgme_ctx_t ct
+ gpgme_error_t
+ _gpgme_wait_one (gpgme_ctx_t ctx)
+ {
+-  return _gpgme_wait_on_condition (ctx, NULL);
++  gpgme_error_t err;
++
++  err = _gpgme_wait_on_condition (ctx, NULL);
++
++  /* Work around missing gpgme_release in kleopatra, which creates
++     dangling gpgsm processes.  */
++  if (ctx->engine)
++    {
++      _gpgme_engine_release (ctx->engine);
++      ctx->engine = NULL;
++    }
++
++  return err;
+ }


Property changes on: trunk/patches/gpgme/02-kleo-bugs-workaround.patch
___________________________________________________________________
Name: svn:executable
   + *



More information about the Gpg4win-commits mailing list